{ config, lib, pkgs, ... }:
with lib;
let cfg = config.features.desktop.media;
in {
  options.features.desktop.media.enable =
    mkEnableOption "enable media features";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      audacity
      ffmpeg_6-full
      mediainfo
      mpv
      uxplay
      vlc
    ];

    programs.obs-studio = {
      enable = true;
      plugins = with pkgs.obs-studio-plugins; [
        input-overlay
        wlrobs
        obs-vertical-canvas
      ];
    };
  };
}
