{
  config,
  outputs,
  ...
}: {
  virtualisation.oci-containers.containers."lanakk_blog" = {
    image = "docker.io/wordpress";
    environment = {
      WORDPRESS_DB_HOST = "mysql";
      WORDPRESS_DB_USER = "wp";
      WORDPRESS_DB_PASSWORD = "wp";
      WORDPRESS_DB_NAME = "lanakk_blog";
    };
    ports = ["127.0.0.1:3002:80"];
    volumes = ["lanakk_blog_data:/var/www/html"];
    extraOptions = ["--add-host=mysql:10.88.0.1" "--ip=10.88.0.12"];
  };
  virtualisation.oci-containers.containers."kk_blog" = {
    image = "docker.io/wordpress";
    environment = {
      WORDPRESS_DB_HOST = "mysql";
      WORDPRESS_DB_USER = "wp";
      WORDPRESS_DB_PASSWORD = "wp";
      WORDPRESS_DB_NAME = "kk_blog";
    };
    ports = ["3015:80"];
    volumes = ["kk_blog_data:/var/www/html"];
    extraOptions = ["--add-host=mysql:10.88.0.1" "--ip=10.88.0.16"];
  };
}
